function Sxx = estimDSP(x,p,NombreDePoints)

% fonction d'estimation de la DSP d'un signal x, en utilisant l'algorithme
% de Levinson-Durbin d'ordre p

clear i;

% on recherche la fonction d'autocorrlation

R=correlation(x);

% on applique sur cette fonction d'autocorrlation
% l'algorithme de Levinson-Durbin avec un ordre p

[a,sigma2]=levinsonrakoto(R,p);

% on dfinit un espace pour la TF d'un signal discret entre -.5 et .5
% compos de NombreDePoints

f=linspace(-0.5,0.5,NombreDePoints);

for j=1:NombreDePoints
    
    % on rinitialise la somme
    somme=0;

    % on fiat la boucle pour calculer le dnominateur
    for k=1:p
        somme = somme +a(k+1)*exp(-i*2*pi*f(j)*k);
    end;

    % calcul final de ce dnominateur
    Sxx(j)=1/(abs(1+somme))^2;
    
end;